%define gnet_vers 1.1.9

Summary: A GNOME/GTK+ news reader for X.
Name: pan
Version: 0.13.4
Release: 1
Epoch: 1
License: GPL
Group: Applications/Internet
Source: http://pan.rebelbase.com/download/%{version}/%{name}-%{version}.tar.bz2
Source1: net-pan.desktop
Source2: http://www.gnetlibrary.org/src/gnet-%{gnet_vers}.tar.gz
#Patch2: pan-0.9.7-panes.patch
#Patch3: pan-0.11.2-rh.patch
##Patch4: pan-0.12.0-ja.po.patch
Patch5: pan-0.12.1-browser.patch
#Patch6: pan-0.13.0-gmime-64bit.patch
Patch7: pan-0.13.3-editor-80839.patch
URL: http://pan.rebelbase.com/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel glib2-devel
Requires: gtk2 glib2

%description
Pan is a newsreader which attempts to be pleasant to new and
advanced users alike. It has all the standard newsreaders
features and also supports offline newsreading,
sophisticated filtering, multiple connections, yEnc
decoding, and other extra features for power users and
alt.binaries fans. It's also the only Unix newsreader to get
a perfect score on the Good Net-Keeping Seal of Approval
evaluations.

%prep
%setup -q -a2

%patch5 -p1 -b .browser
#%patch6 -p1 -b .64bit
%patch7 -p1 -b .editor

%build
( cd gnet-%{gnet_vers}
  ./configure --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir} --disable-shared --enable-glib2
  rm -rf %{buildroot}
  %makeinstall )
%configure --disable-gtkspell --with-gnet-exec-prefix=%{buildroot}%{_prefix}
make

%install
rm -rf %buildroot
%makeinstall
%find_lang %name

# use our own desktop file
rm %{buildroot}%{_datadir}/gnome/apps/Internet/pan.desktop
mkdir -p %{buildroot}%{_datadir}/applications
install -c -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog README TODO
%{_bindir}/pan
%{_datadir}/pixmaps/*
%{_datadir}/applications/net-pan.desktop

%changelog
* Fri Oct 31 2003 Jens Petersen <petersen@redhat.com> - 1:0.13.4-1
- update to 0.13.4 bugfix release (fixes #107519)
- build gnet-1.1.9 to make libgnet.a for new gnet requirement
- require glib2 and buildrequire glib2-devel
- use %%buildroot

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  6 2003 Jens Petersen <petersen@redhat.com> - 1:0.13.3-3
- change browser patch to default to htmlview instead of gnome-moz-remote
  (#80839) and default editor to [from Louis Garcia]
- change default editor to gedit (#80839) [based on patch from Louis Garcia]
- set startup notification in desktop file

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 31 2002 Jens Petersen <petersen@redhat.com> 1:0.13.3-1
- update to 0.13.3

* Thu Nov 28 2002 Jens Petersen <petersen@redhat.com> 1:0.13.2-1
- update to 0.13.2, fixing #77989
- drop old patches

* Thu Aug 29 2002 Jens Petersen <petersen@redhat.com> 1:0.13.0-2
- 0.13.0
- configure with --disable-gtkspell
- fix type of gmime's message_part_write_to_stream on 64bit archs

* Fri Aug 16 2002 Jens Petersen <petersen@redhat.com> 1:0.12.1-3
- update desktop file so that pan lives in Extras -> Internet

* Thu Aug 8 2002 Jens Petersen <petersen@redhat.com> 1:0.12.1-2
- update url
- update requires and build-requires
- fix desktop file
- update description

* Wed Aug 7 2002 Jens Petersen <petersen@redhat.com> 1:0.12.1-1
- 0.12.1
- build on all archs
- default to gnome-moz-remote, instead of netscape (#70634)

* Wed Jul 10 2002 Bill Huang <bhuang@redhat.com>
- Upgrade to 0.12.0
- Update ja.po to enable Japanese menu.

* Mon Jul 08 2002 Bill Huang <bhuang@redhat.com>
- Upgrade to 0.11.3
- Update "Copyright" to "License"

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 12  2002 Bill Huang <bhuang@redhat.com>
- Update ja.po so that pan can be started up in Japanese locale. 

* Wed Apr  3 2002 Tim Powers <timp@redhat.com>
- update to 0.11.2

* Fri Jan 31 2002 Bill Nottingham <notting@redhat.com>
- build current version in new environment

* Mon Jul  2 2001 Tim Powers <timp@redhat.com>
- updated to 0.9.7, bugfix release
- patched desktop file so that the tooltip isn't considered offensive.

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Mar 19 2001 Tim Powers <timp@redhat.com>
- updated to 0.9.5
- fixes bug #31214 where the years were being displayed as 1979 etc.

* Fri Feb 23 2001 Trond Eivind Glomsr?eg@redhat.com>
- langify

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Tim Powers <timp@redhat.com>
- update to 0.9.1
- no more applnk. Why did we do that in the first place? We have an
  entry for a desktop file in GNOME anyway?

* Wed Sep 13 2000 Tim Powers <timp@redhat.com>
- update to 0.8.1-beta4

* Mon Jul 31 2000 Tim Powers <timp@redhat.com>
- fixed pan's desktop file location to fix bug #14868, was under /etx now fixed to be under /etc
- use predefined  macros from RPM so that this doesn't happen again :)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 02 2000 Trond Eivind Glomsr?eg@redhat.com>
- updated to 0.8.1beta1
- patch for db breakage

* Tue May 23 2000 Preston Brown <pbrown@redhat.com>
- updated to 0.8.0 final

* Wed May 17 2000 Tim Powers <timp@redhat.com>
- updated to 0.8.0beta8

* Tue Apr 18 2000 Tim Powers <timp@redhat.com>
- updated to 0.8.0beta5

* Thu Feb 10 2000 Matt Wilson <msw@redhat.com>
- updated to 0.7.5

* Tue Jan 11 2000 Tim Powers <timp@redhat.com>
- updated to 0.7.0

* Wed Dec 15 1999 Tim Powers <timp@redhat.com>
- updated to 0.6.7
- general spec file cleanups

* Tue Aug 3 1999 Tim Powers <timp@redhat.com>
- first build of package
